include mixins

doctype html
html(lang="en")
    +head
    body.text-center
        .cover-container.d-flex.w-50.h-100.p-3.mx-auto.flex-column  
            +navbar('perfil')
            main.inner.cover(role='main')
                -var user = user
                if user
                    form(method='POST' action=`/updatePerfil/${user._id}?_method=PUT` enctype='multipart/form-data')
                        input(type='hidden' name='_method' value='PUT')
                        input(type='hidden' name='nameImg' value=user.img)
                        fieldset
                            legend Avatar
                            .container
                                .row
                                    .col
                                        if user.google
                                            img.img-thumbnail(src=user.img alt='avatar')
                                        else
                                            img.img-thumbnail(src=`/assets/img/${user.img}` alt='avatar')
                                            
                                        .form-group
                                            label(for='staticNombre') Nombre
                                            input#staticNombre.form-control(type='text' value=user.nombre name='nombre' required='')
                                        .form-group
                                            label(for='staticEmail') Email
                                            input#staticEmail.form-control(type='text' value=user.email name='email' required='')
                                        if !user.google
                                            .form-group
                                                label(for='imgFile') Elegir Nueva Foto
                                                input#imgFile.form-control-file(type='file' name='avatar' required='')
                                
                            .align-items-center
                                button.btn.btn-primary(type='submit') Actualizar
                else
                    .alert.alert-dismissible.alert-danger
                        button.close(type='button' data-dismiss='alert') &times;
                        strong Error al subir
                        a.alert-link(href='/') Intente otra ves

